Subject: Re: What's cooking in git.git (Mar 2022, #04; Thu, 17)

From: Junio C Hamano <[email-masked]>
Date: Wed, 23 Mar 2022 11:27:14 -0700

Taylor Blau <[email-masked]> writes:

> On Thu, Mar 17, 2022 at 04:34:27AM -0700, Junio C Hamano wrote:
>> * tb/cruft-packs (2022-03-02) 17 commits
>>
>>  A mechanism to pack unreachable objects into a "cruft pack",
>>  instead of ejecting them into loose form to be reclaimed later, has
>>  been introduced.
>>
>>  Waiting for discussion to settle.
>>  cf. <[email-masked]>
>>  source: <[email-masked]>
>
> I responded to Jonathan's message here:
>
>     https://lore.kernel.org/git/[email-masked]/
>
> and I think it should be settled now. In an earlier thread, there was
> some discussion about whether or not a repository format extension is
> required. An extension is explicitly not required here, since the
> implementation of cruft packs was designed to avoid such a thing (see
> [1] for details on "why").

I think <[email-masked]> yesterday is the last message
in that thread?

Let's see how well it goes.

Thanks.